io.vertx.rxjava.ext.unit

## Class Completion<T>

- java.lang.Object
- - io.vertx.rxjava.ext.unit.Completion<T>

- Direct Known Subclasses:
    Async, TestCompletion

      public class Completion<T>
      extends Object

  A completion object that emits completion notifications either succeeded or failed.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Completion(Completion delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `await()` Cause the current thread to wait until thi completion completes. If the current thread is interrupted, an exception will be thrown.
    `void` | `await(long timeoutMillis)` Cause the current thread to wait until this completion completes with a configurable timeout. If completion times out or the current thread is interrupted, an exception will be thrown.
    `void` | `awaitSuccess()` Cause the current thread to wait until this completion completes and succeeds. If the current thread is interrupted or the suite fails, an exception will be thrown.
    `void` | `awaitSuccess(long timeoutMillis)` Cause the current thread to wait until this completion completes and succeeds with a configurable timeout. If completion times out or the current thread is interrupted or the suite fails, an exception will be thrown.
    `Object` | `getDelegate()`
    `void` | `handler(Handler<AsyncResult<T>> completionHandler)` Completion handler to receive a completion signal when this completions completes.
    `rx.Observable<T>` | `handlerObservable()` Completion handler to receive a completion signal when this completions completes.
    `boolean` | `isCompleted()`
    `boolean` | `isFailed()`
    `boolean` | `isSucceeded()`
    `static <T> Completion<T>` | `newInstance(Completion arg)`
    `void` | `resolve(Future<T> future)` Completes the future upon completion, otherwise fails it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Completion

          public Completion(Completion delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### resolve

          public void resolve(Future<T> future)

      Completes the future upon completion, otherwise fails it.
      Parameters:
        `future` - the future to resolve

    - #### isCompleted

          public boolean isCompleted()

      Returns:
        true if this completion is completed

    - #### isSucceeded

          public boolean isSucceeded()

      Returns:
        true if the this completion is completed succeeded

    - #### isFailed

          public boolean isFailed()

      Returns:
        true if the this completion is completed and failed

    - #### handler

          public void handler(Handler<AsyncResult<T>> completionHandler)

      Completion handler to receive a completion signal when this completions completes.
      Parameters:
        `completionHandler` - the completion handler

    - #### handlerObservable

          public rx.Observable<T> handlerObservable()

      Completion handler to receive a completion signal when this completions completes.
      Returns:

    - #### await

          public void await()

      Cause the current thread to wait until thi completion completes.

      If the current thread is interrupted, an exception will be thrown.

    - #### await

          public void await(long timeoutMillis)

      Cause the current thread to wait until this completion completes with a configurable timeout.

      If completion times out or the current thread is interrupted, an exception will be thrown.
      Parameters:
        `timeoutMillis` - the timeout in milliseconds

    - #### awaitSuccess

          public void awaitSuccess()

      Cause the current thread to wait until this completion completes and succeeds.

      If the current thread is interrupted or the suite fails, an exception will be thrown.

    - #### awaitSuccess

          public void awaitSuccess(long timeoutMillis)

      Cause the current thread to wait until this completion completes and succeeds with a configurable timeout.

      If completion times out or the current thread is interrupted or the suite fails, an exception will be thrown.
      Parameters:
        `timeoutMillis` - the timeout in milliseconds

    - #### newInstance

          public static <T> Completion<T> newInstance(Completion arg)

Copyright © 2015. All rights reserved.